#ifndef input_h__
#define input_h__


#include "rtthread.h"
#include "transmit.h"
#include "signal.h"
#include "bytearray.h"





int input_set_callback_always(int channel,int state_to_call,void (*fun)(void *t),void *t);

int input_set_callback_once(int channel,int state_to_call,void (*fun)(void *t),void *t);











#endif
